summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-11-14 16:39:21 +0100
committerAlexis Ballier <aballier@gentoo.org>2017-11-15 07:57:41 +0100
commit527a4ac52b0c51f52f92baa7a7fa2b9b0d981743 (patch)
tree9090c9264bb75fd58eefcc7f0a64902db3dfaf7c /dev-ros
parentdev-ros/rosgraph: Bump to 1.13.5. (diff)
downloadgentoo-527a4ac52b0c51f52f92baa7a7fa2b9b0d981743.tar.gz
gentoo-527a4ac52b0c51f52f92baa7a7fa2b9b0d981743.tar.bz2
gentoo-527a4ac52b0c51f52f92baa7a7fa2b9b0d981743.zip
dev-ros/roslaunch: Bump to 1.13.5.
Package-Manager: Portage-2.3.13, Repoman-2.3.4
Diffstat (limited to 'dev-ros')
-rw-r--r--dev-ros/roslaunch/Manifest1
-rw-r--r--dev-ros/roslaunch/roslaunch-1.13.5.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/dev-ros/roslaunch/Manifest b/dev-ros/roslaunch/Manifest
index 5dea15d8ea1..a64fc6797ba 100644
--- a/dev-ros/roslaunch/Manifest
+++ b/dev-ros/roslaunch/Manifest
@@ -2,3 +2,4 @@ DIST ros_comm-1.13.0.tar.gz 974811 SHA256 01eee591e0462e267da5c01537faf609c11497
DIST ros_comm-1.13.1.tar.gz 1005522 SHA256 da0797365fb88a41005219079bd034e7e04218b75f28d0275d6e5327be3bc903 SHA512 92248a91d7b7b6defd8607d70e5a09c43c9bc242cfc5574acd5b08c3f9b765144c848c0f72551bb2e19789a345c31f43ed420a9e3e7fbe38bf47adeb7c52a9d7 WHIRLPOOL 746e56a5ebc9e500eb7e333c88259aa20d7685930f30a8bf71982f1cef9c7c14ac28d758adbd13d89b66ca6e1ec01816ce6541fe8817b188bf05e3f477914a4a
DIST ros_comm-1.13.2.tar.gz 1007451 SHA256 d1c054d77cf61372377a5eac415a2c1da2c7732c43220160ab752ea93294b4e3 SHA512 eac7ee469bbdb622bc69e5239dea7e7dc97bec7b7e51a8ee49f18756cba753387e884ccd651e201e01985d23f908828c7ae94c311889557caeb742ddcad2e1b9 WHIRLPOOL 2738e4232521c4cfcac523a6ba8508e7de16bfd407d3c7e29c8cf9d172e816590b600165ebac37187ac462d14fbfe4bcfbc2883aaf65db0f28dec3ceeaa0a113
DIST ros_comm-1.13.4.tar.gz 1013412 SHA256 d38b5c53a00c028bc13eebdf19ce11316213c5eabc8352dcf6001a2d26f219f6 SHA512 6057afa5b79da661ecdc60459462fe09a7a90b5e43cbf6c5bdfa4095f07e00356eb13c9cab460b91a0c84b789ccf0753c09666ad24fb4b3aec967cb407cf81ce WHIRLPOOL c9bac87486224332fd7824711bff032947596928cf4d156e9b258903562724dfe82b85f1dd076ee5a92a3c26f68de4c4838267d16c206ba330fa620ffeff692c
+DIST ros_comm-1.13.5.tar.gz 1027857 SHA256 432d600006283b1e0806aab19751f282387150d0ef7a0cfdda664d877f33aa3e SHA512 91af2de897851061eda140d6c96ec88171f1fd1cd7549b6df1ac570e066603c7bb721a58cb19487657387753433d67ad22421408a237d1ffb5ea580c0cf3eeb3 WHIRLPOOL c6456369ecbf5fb98c219bc8b2e17e461cdd5894769b2cd4df4f0485cf0fea12684ac4129b6b34dc98a5fe419dc023c44b36cf3411357c9678edb464d29c987f
diff --git a/dev-ros/roslaunch/roslaunch-1.13.5.ebuild b/dev-ros/roslaunch/roslaunch-1.13.5.ebuild
new file mode 100644
index 00000000000..a728c34f206
--- /dev/null
+++ b/dev-ros/roslaunch/roslaunch-1.13.5.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+ROS_REPO_URI="https://github.com/ros/ros_comm"
+KEYWORDS="~amd64 ~arm"
+ROS_SUBDIR=tools/${PN}
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+inherit ros-catkin user
+
+DESCRIPTION="Tool for easily launching multiple ROS nodes"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ dev-ros/roslib[${PYTHON_USEDEP}]
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-ros/rosclean[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-ros/rosgraph_msgs[${CATKIN_MESSAGES_PYTHON_USEDEP}]
+ dev-ros/rosparam[${PYTHON_USEDEP}]
+ dev-ros/rosmaster[${PYTHON_USEDEP}]
+ dev-ros/rosout
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-util/rosdep[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-ros/test_rosmaster
+ )"
+PATCHES=( "${FILESDIR}/timeout.patch" )
+
+src_test() {
+ rosdep update
+ ros-catkin_src_test
+}
+
+src_install() {
+ ros-catkin_src_install
+
+ dodir /etc/ros
+ sed -e "s/@PKG_VERSION@/${PV}/" "${FILESDIR}/roscore.xml.in" > "${ED}/etc/ros/roscore.xml" || die
+
+ newinitd "${FILESDIR}/roscore.initd" roscore
+ newconfd "${FILESDIR}/roscore.confd" roscore
+
+ newinitd "${FILESDIR}/roslaunch.initd" roslaunch
+ newconfd "${FILESDIR}/roslaunch.confd" roslaunch
+
+ doenvd "${FILESDIR}/40roslaunch"
+
+ # Needed by test_roslaunch
+ insinto /usr/share/${PN}
+ doins test/xml/noop.launch
+}
+
+pkg_preinst() {
+ enewgroup ros
+ enewuser ros -1 -1 /home/ros ros
+}